TestEnv (IcedTea-Web: Plugin )
Keywords: sun.applet.TestEnv class
Date: 2021-11-09

sun.applet

## Class TestEnv

- java.lang.Object
- - sun.applet.TestEnv

-     public class TestEnv
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `complexStringField`
    `static int` | `intField`
    `int` | `intInstanceField`
    `java.lang.String` | `stringField`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestEnv()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `TestIt()`
    `static void` | `TestItBool(boolean arg)`
    `static boolean` | `TestItBoolReturnFalse()`
    `static boolean` | `TestItBoolReturnTrue()`
    `static void` | `TestItByte(byte arg)`
    `static byte` | `TestItByteReturn()`
    `static void` | `TestItChar(char arg)`
    `static char` | `TestItCharReturn()`
    `static char` | `TestItCharUnicodeReturn()`
    `static void` | `TestItDouble(double arg)`
    `static double` | `TestItDoubleReturn()`
    `static void` | `TestItFloat(float arg)`
    `static float` | `TestItFloatReturn()`
    `static void` | `TestItInt(int arg)`
    `static void` | `TestItIntArray(int[] arg)`
    `static int[]` | `TestItIntArrayReturn()`
    `int` | `TestItIntInstance(int arg)`
    `static int` | `TestItIntReturn()`
    `static void` | `TestItLong(long arg)`
    `static long` | `TestItLongReturn()`
    `static void` | `TestItObject(TestEnv arg)`
    `static void` | `TestItObjectArray(java.lang.String[] arg)`
    `static void` | `TestItObjectArrayMulti(java.lang.String[][] arg)`
    `static java.lang.String[][]` | `TestItObjectArrayMultiReturn()`
    `static java.lang.String[]` | `TestItObjectArrayReturn()`
    `static java.lang.Object` | `TestItObjectReturn()`
    `static void` | `TestItObjectString(java.lang.String arg)`
    `static void` | `TestItShort(short arg)`
    `static short` | `TestItShortReturn()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### intField

          public static int intField

    - #### intInstanceField

          public int intInstanceField

    - #### stringField

          public java.lang.String stringField

    - #### complexStringField

          public java.lang.String complexStringField

  - ### Constructor Detail

    - #### TestEnv

          public TestEnv()

  - ### Method Detail

    - #### TestIt

          public static void TestIt()

    - #### TestItBool

          public static void TestItBool(boolean arg)

    - #### TestItByte

          public static void TestItByte(byte arg)

    - #### TestItChar

          public static void TestItChar(char arg)

    - #### TestItShort

          public static void TestItShort(short arg)

    - #### TestItInt

          public static void TestItInt(int arg)

    - #### TestItLong

          public static void TestItLong(long arg)

    - #### TestItFloat

          public static void TestItFloat(float arg)

    - #### TestItDouble

          public static void TestItDouble(double arg)

    - #### TestItObject

          public static void TestItObject(TestEnv arg)

    - #### TestItObjectString

          public static void TestItObjectString(java.lang.String arg)

    - #### TestItIntArray

          public static void TestItIntArray(int[] arg)

    - #### TestItObjectArray

          public static void TestItObjectArray(java.lang.String[] arg)

    - #### TestItObjectArrayMulti

          public static void TestItObjectArrayMulti(java.lang.String[][] arg)

    - #### TestItBoolReturnTrue

          public static boolean TestItBoolReturnTrue()

    - #### TestItBoolReturnFalse

          public static boolean TestItBoolReturnFalse()

    - #### TestItByteReturn

          public static byte TestItByteReturn()

    - #### TestItCharReturn

          public static char TestItCharReturn()

    - #### TestItCharUnicodeReturn

          public static char TestItCharUnicodeReturn()

    - #### TestItShortReturn

          public static short TestItShortReturn()

    - #### TestItIntReturn

          public static int TestItIntReturn()

    - #### TestItLongReturn

          public static long TestItLongReturn()

    - #### TestItFloatReturn

          public static float TestItFloatReturn()

    - #### TestItDoubleReturn

          public static double TestItDoubleReturn()

    - #### TestItObjectReturn

          public static java.lang.Object TestItObjectReturn()

    - #### TestItIntArrayReturn

          public static int[] TestItIntArrayReturn()

    - #### TestItObjectArrayReturn

          public static java.lang.String[] TestItObjectArrayReturn()

    - #### TestItObjectArrayMultiReturn

          public static java.lang.String[][] TestItObjectArrayMultiReturn()

    - #### TestItIntInstance

          public int TestItIntInstance(int arg)

Submit a bug or feature